<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="invalid" styleClass="gzl-alert gzl-alert-red"
                   rendered="#{ancillaryTransactionDisplay.selectedTransaction == null}">
                <h:outputText value="#{messages['net.ihe.gazelle.atna.NoTransactionFoundForTheGivenID']}"/>
            </s:div>
            <s:div id="globalDiv" rendered="#{ancillaryTransactionDisplay.selectedTransaction != null}">
                <h1>#{ancillaryTransactionDisplay.selectedTransaction.name}</h1>
                <gri:panel pid="description">
                    <f:facet name="header">#{messages['net.ihe.gazelle.proxy.Details']}</f:facet>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.Keyword']}</ui:define>
                            <h:outputText value="#{ancillaryTransactionDisplay.selectedTransaction.keyword}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.Name']}</ui:define>
                            <h:outputText value="#{ancillaryTransactionDisplay.selectedTransaction.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.Description']}</ui:define>
                            <h:outputText value="#{ancillaryTransactionDisplay.selectedTransaction.description}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.SOAPAction']}</ui:define>
                            <h:outputText value="#{ancillaryTransactionDisplay.selectedTransaction.soapAction}"/>
                        </s:decorate>
                    </dl>
                    <f:facet name="footer">
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.audit.message.BackToList']}"
                                           action="#{ancillaryTransactionDisplay.backToTransactionList()}"
                                           styleClass="gzl-btn"/>
                    </f:facet>
                </gri:panel>
                <gri:panel pid="content">
                    <f:facet name="header">#{messages['net.ihe.gazelle.atna.SOAPBodyContent']}</f:facet>
                    <gdk:insert
                            content="#{ancillaryTransactionDisplay.getSoapBodyContent()}"
                            highlight="xml" encoding="UTF-8"/>
                </gri:panel>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>